EddytorDocs & API
Storages

List objects from a storage configuration

Returns objects from the configured object store with optional filtering by path prefix, file extensions, and pagination support. Use `delimiter=true` for directory-style listing.

GET
/v1/storages/configs/{config_id}/objects

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Path Parameters

config_id*string
Formatuuid

Query Parameters

path?string

Prefix/path to filter objects (e.g., "data/raw/")

extensions?string

Comma-separated file extensions to filter (e.g., "csv,pdf,txt")

limit?integer

Maximum number of results to return (max: 1000, default: 100)

Formatuint32
continuation_token?string

Opaque token for pagination

delimiter?boolean

Enable directory-style listing

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/storages/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08/objects"
{  "objects": [    {      "path": "string",      "name": "string",      "extension": "string",      "size": 0,      "lastModified": "string",      "etag": "string",      "isDirectory": true    }  ],  "commonPrefixes": [    "string"  ],  "nextContinuationToken": "string",  "hasMore": true,  "count": 0}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}